Summary:	A Tk toolkit extension, including widgets, geometry managers, etc
Name:		blt
Version:	2.4z
Release:	%mkrel 26
License:	MIT
Group:		System/Libraries
URL:		http://www.sourceforge.net/projects/blt/
Source0:	BLT%{version}.tar.bz2
Patch0:		blt2.4z-patch-2.patch
Patch1:		blt2.4z-configure.in-disable-rpath.patch
Patch2:		blt2.4z-libdir.patch
Patch3:		blt2.4z-mkdir_p.patch
Patch4:		blt2.4z-64bit-fixes.patch
Patch5:		blt-2.4z-tcl8.5-fix.patch
# Loosens the version checking, or else it will fail when built against
# any Tcl/Tk with a minor version (8.5.1, 8.5.2, 8.5.3) - braindead test
# AdamW 2008/07
Patch6:		blt-2.4z-exact.patch
# Part fix, part kludge for Tcl 8.6 (interp->result, TIP #330) - AdamW
# 2008/12
Patch7:		blt-2.4z-tcl86.patch
# Fix a use of /usr/local/bin - AdamW 2008/12
Patch8:		blt-2.4z-local.patch
BuildRequires:	libx11-devel
BuildRequires:	tk-devel
BuildRequires:	tcl-devel
BuildRequires:	autoconf2.1
Obsoletes:	%{name}-scripts < %{version}-%{release}
Obsoletes:	%{mklibname blt 2}
Obsoletes:	%{mklibname blt 2 -d}

%description
BLT is an extension to the Tk toolkit. BLT's most useful feature is the
provision of more widgets for Tk, but it also provides more geometry managers
and miscellaneous other commands. Note that you won't need to do any patching
of the Tcl or Tk source files to use BLT, but you will need to have Tcl/Tk
installed in order to use BLT.

%prep
%setup -q -n %{name}%{version}
sed -i -e 's,local/,,g' demos/scripts/page.tcl
%patch0 -p1
%patch1 -p1 -b .rpath
%patch2 -p1 -b .libdir
%patch3 -p1 -b .mkdir_p
%patch4 -p1 -b .64bit-fixes
%patch5 -p1
%patch6 -p1 -b .exact
%patch7 -p1 -b .tcl86
#patch8 -p1
autoconf-2.13

%build
%configure --libdir=%{tcl_sitearch}
make 

%install
rm -rf %{buildroot}
make prefix=%{buildroot}%{_prefix} bindir=%{buildroot}%{_bindir} libdir=%{buildroot}%{tcl_sitearch} mandir=%{buildroot}%{_mandir} install

ln -sf bltwish24 %{buildroot}%{_bindir}/bltwish
ln -sf bltsh24 %{buildroot}%{_bindir}/bltsh

# Dadou - Don't put in %%_libdir things which should be in %%_docdir
rm -fr %{buildroot}%{tcl_sitearch}/blt2.4/NEWS
rm -fr %{buildroot}%{tcl_sitearch}/blt2.4/PROBLEMS
rm -fr %{buildroot}%{tcl_sitearch}/blt2.4/README
rm -fr %{buildroot}%{tcl_sitearch}/blt2.4/demos

# Dadou - Prevent conflicts with other packages
for i in bitmap graph tabset tree watch; do
	mv %{buildroot}%{_mandir}/mann/$i{,-blt}.n
done

# need to be available as a shared lib as well as a tcl module
ln -s %{tcl_sitearch}/libBLT24.so %{buildroot}%{_libdir}/libBLT24.so 
ln -s %{tcl_sitearch}/libBLTlite24.so %{buildroot}%{_libdir}/libBLTlite24.so 

# development crap, we don't have anything that builds against this
# at present
rm -rf %{buildroot}%{_includedir}
rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{tcl_sitearch}/*.a

%clean
rm -fr %{buildroot}

%files
%defattr(-,root,root,-)
%doc MANIFEST NEWS PROBLEMS README
%doc examples/
%doc html/
%doc demos/
%{_bindir}/*
%{_mandir}/mann/*
%{_mandir}/man3/*
%{tcl_sitearch}/*.so
%{tcl_sitearch}/%{name}2.4
%{_libdir}/*.so





%changelog

* Fri Jan 11 2013 umeabot <umeabot> 2.4z-26.mga3
+ Revision: 346921
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 29 2011 fwang <fwang> 2.4z-25.mga2
+ Revision: 150132
- tighten br

* Sat Jul 02 2011 fwang <fwang> 2.4z-24.mga2
+ Revision: 117404
- rebuild for new tcl

  + blino <blino>
    - remove unneeded version in comment
    - imported package blt

